Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065781 - [rhevm-dwh-setup] rhevm-dwh-setup drops '"' from read db password
Summary: [rhevm-dwh-setup] rhevm-dwh-setup drops '"' from read db password
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.3.2
Assignee: Yedidyah Bar David
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On: 1052202
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 22:48 UTC by rhev-integ
Modified: 2015-06-15 11:26 UTC (History)
15 users (show)

Fixed In Version: is35 - rhevm-dwh-3.3.2-1.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Previously, including a double quotation mark in the password for the history database would cause the rhevm-dwh-setup command to fail due to an authentication error. This was caused by the double quotation marks not being considered a part of the password. Now, the rhevm-dwh-setup command disallows the characters '"', '\', '#', and '$'.
Clone Of: 1052202
Environment:
Last Closed: 2014-04-09 17:42:52 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0386 normal SHIPPED_LIVE rhevm-dwh 3.3.2 bug fix update 2014-04-09 21:41:19 UTC
oVirt gerrit 24464 None None None Never

Comment 2 Yedidyah Bar David 2014-03-05 14:13:55 UTC
Note that the "fix" here, to prevent '"' in passwords, was reverted in a later fix for bug #1072406 . With it, '"' is allowed and should work well.

Comment 3 Jiri Belka 2014-03-21 11:00:16 UTC
Your comment #2 seems be wrong.

# rhevm-dwh-setup 
Welcome to ovirt-engine-dwh setup utility

In order to proceed the installer must stop the ovirt-engine service
Would you like to stop the ovirt-engine service (yes|no): yes
Stopping ovirt-engine...                              [ DONE ]
Remote installation is selected.

Remote installation selected. Make sure that DBA creates a user and the database in the following fashion:
        create role <role> with login encrypted password <password>;
        create database ovirt_engine_history template template0 encoding 'UTF8' lc_collate 'en_US.UTF-8' lc_ctype 'en_US.UTF-8' owner <role>;

Database user [engine_history]: remote_history
Database password: 
Password must not contain ["]
Database password: Error encountered while installing rhevm-dwh, please consult the log file: /var/log/ovirt-engine/rhevm-dwh-setup-2014_03_21_10_52_52.log
[root@testovic ~]# rpm -q rhevm-dwh
rhevm-dwh-3.3.2-1.el6ev.noarch

Comment 4 Jiri Belka 2014-03-21 12:45:18 UTC
Incorrectly understood the issue, it is about loading engine's DB password, not about rhevm-dwh-setup not accepting '"' or '$' as dwh remote DB password.

Comment 5 Jiri Belka 2014-03-21 12:49:46 UTC
ok, rhevm-dwh-3.3.2-1.el6ev.noarch

Comment 6 Yedidyah Bar David 2014-03-23 10:23:25 UTC
(In reply to Jiri Belka from comment #4)
> Incorrectly understood the issue, it is about loading engine's DB password,
> not about rhevm-dwh-setup not accepting '"' or '$' as dwh remote DB password.

Indeed. The fix might solve also the issue that we "fixed" by preventing special chars in dwh db user password, but I didn't test that and didn't remove the code forbidding it. You can trivially verify if it's also solved by changing INVALID_PASSWORD_CHARS (around line 70 of dwh-setup) to '' and trying all relevant flows.

Comment 7 Zac Dover 2014-04-03 03:20:01 UTC
This bug is currently attached to errata RHBA-2014:17206 If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.

Comment 9 errata-xmlrpc 2014-04-09 17:42:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0386.html

Comment 10 Yedidyah Bar David 2015-06-15 11:26:24 UTC
Closing old needinfo's.


Note You need to log in before you can comment on or make changes to this bug.